> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Mailbox

> Return customer mailbox detail.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.en.json GET /v1/public/accounts/{account_id}/mailboxes/{mailbox}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/mailboxes/{mailbox}:
    get:
      tags:
        - public-accounts
        - public-mailboxes
      summary: Get Mailbox
      description: Return customer mailbox detail.
      operationId: >-
        get_public_mailbox_v1_public_accounts__account_id__mailboxes__mailbox__get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: mailbox
          required: true
          schema:
            title: Mailbox
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MailboxDTO'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - PublicBearerAuth: []
components:
  schemas:
    MailboxDTO:
      properties:
        aliases:
          description: Aliases for the mailbox
          items:
            $ref: '#/components/schemas/MailboxAliasDTO'
          title: Aliases
          type: array
        created_at:
          description: Mailbox creation timestamp
          title: Created At
          type: string
        domain_id:
          description: Domain UUID for the mailbox
          format: uuid
          title: Domain Id
          type: string
        domain_name:
          description: Domain name for the mailbox
          title: Domain Name
          type: string
        first_name:
          description: Mailbox user first name
          title: First Name
          type: string
        id:
          description: Mailbox UUID
          format: uuid
          title: Id
          type: string
        last_name:
          description: Mailbox user last name
          title: Last Name
          type: string
        local_part:
          description: Mailbox local part before the at sign
          title: Local Part
          type: string
        primary_email:
          description: Primary mailbox email address
          title: Primary Email
          type: string
        quota:
          $ref: '#/components/schemas/MailboxQuotaDTO'
          description: Mailbox quota usage
        status:
          description: Mailbox lifecycle status
          title: Status
          type: string
        updated_at:
          description: Mailbox last update timestamp
          title: Updated At
          type: string
        workspace_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: Workspace UUID for the mailbox
          title: Workspace Id
        workspace_name:
          anyOf:
            - type: string
            - type: 'null'
          description: Workspace display name
          title: Workspace Name
      required:
        - id
        - domain_id
        - primary_email
        - domain_name
        - local_part
        - first_name
        - last_name
        - status
        - quota
        - created_at
        - updated_at
      title: MailboxDTO
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    MailboxAliasDTO:
      properties:
        alias:
          description: Mailbox alias email address
          title: Alias
          type: string
        is_catch_all:
          default: false
          description: Whether this alias catches all unmatched local parts
          title: Is Catch All
          type: boolean
      required:
        - alias
      title: MailboxAliasDTO
      type: object
    MailboxQuotaDTO:
      description: Customer-facing mailbox quota DTO.
      properties:
        allowed:
          description: Mailbox storage allowance
          title: Allowed
          type: integer
        used:
          description: Mailbox storage used
          title: Used
          type: integer
      required:
        - used
        - allowed
      title: MailboxQuotaDTO
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````